#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	readline
Version		:	8.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A library for editing typed command lines
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://ftp.gnu.org/gnu/readline/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ncurses-devel

Requires(post)	:	glibc
Requires(post)	:	ncurses

Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The Readline library provides a set of functions that allow users to
edit command lines. Both Emacs and vi editing modes are available. The
Readline library includes additional functions for maintaining a list
of previously-entered command lines for recalling or editing those
lines, and for performing csh-like history expansion on previous
commands.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

sed -i							\
  -e "/MV.*old/d"					\
  Makefile.in
sed -i							\
  -e "/{OLDSUFF}/c:"					\
  support/shlib-install

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags} SHLIB_LIBS=-lncurses

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR="%{buildroot}" SHLIB_LIBS=-lncurses install
%{__rm} -fr %{buildroot}%{_infodir}/dir
chmod -R +w %{buildroot}%{_libdir}

%files			
%doc COPYING NEWS README CHANGES INSTALL
%defattr(-, root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libhistory.so*
%{_libdir}/pkgconfig/history.pc
%{_mandir}/man3/*.3.gz
%{_infodir}/*.info.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
